;;; -*- Mode:LISP; Readtable:CL; Base:10 -*-

(defun user-int()
  (let((db (read-and-prompt "database name"))
       (name (read-and-prompt "name")))
    (open db)
    (match name (get-names-from-db db) name)))

#+kmachine
(defvar rules
	(list
	  #'(lambda(l target)
	      (if (string-equal l target) t))
	  ))

#+kmachine
(defun match(l target)
  (dolist(rule rules)
    (funcall rule l target)))
